Bekend probleem voor beveiligingsupdates 3098779 en 3097997 voor .NET Framework 4.5.1 en 4.5.2 na installatie van het .NET Framework 4.6 op Windows 8.1 RT 8.1 van Windows en Windows Server 2012 R2

BELANGRIJK: Dit artikel is vertaald door middel van automatische vertalingssoftware van Microsoft en is mogelijk nabewerkt door de Microsoft Community via CTF-technologie (Community Translation Framework) of door een menselijke vertaler. Microsoft biedt zowel automatisch vertaalde, door mensen vertaalde en door de community nabewerkte artikelen aan, zodat er in meerdere talen toegang is tot alle artikelen in onze Knowledge Base. Een vertaald of bewerkt artikel kan fouten bevatten in vocabulaire, syntaxis of grammatica.. Microsoft is niet verantwoordelijk voor eventuele onjuistheden, fouten of schade ten gevolge van een foute vertaling van de inhoud van een bericht of het gebruik van deze vertaalde berichten door onze klanten.

De Engelstalige versie van dit artikel is de volgende: 3118750
Samenvatting
Klanten die een upgrade van het .NET Framework 4.5.1 of 4.5.2 naar de .NET Framework-4,6 of die Visual Studio 2015 installeert na de installatie van updates 3098779 en 3097997 problemen bij het uitvoeren van .NET Framework-toepassingen.

Ook problemen klanten die een systeem dat het kader van .NET in Microsoft 4.6 geïnstalleerd is en die handmatig toe te passen beveiligingsupdates 3098779 en 3097997 voor .NET in Microsoft Framework 4.5.1 en 4.5.2 8.1 voor Windows, Windows RT 8.1 en Windows Server 2012 R2 met bij het uitvoeren van .NET Framework-toepassingen.

Opmerking Oudere besturingssystemen die het .NET Framework 4.5.1 of 4.5.2 geïnstalleerd zijn geen last van dit probleem, omdat beveiligingsupdates 3098779 en 3097997 niet van toepassing op deze.
Symptomen

Scenario 1

  • U gebruikt het .NET Framework 4.5.1 of 4.5.2 8.1 voor Windows, Windows RT 8.1 of Windows Server 2012 R2.
  • U kunt alle nieuwste updates hebt geïnstalleerd voor .NET Framework 4.5.1 en 4.5.2. Dit omvat updates 3098779 en 3097997.
  • U downloadt en installeert het .NET Framework 4.6 of Microsoft Visual Studio 2015.
In dit scenario, sommige onderdelen van het .NET Framework 4.6 zijn niet bijgewerkt zoals verwacht of bepaalde .NET Framework-toepassingen starten niet of werken niet goed.

Scenario 2

  • U gebruikt het .NET Framework 4.6 op 8.1 voor Windows, Windows RT 8.1 of Windows Server 2012 R2.
  • U de updates handmatig toepassen 3098779 en 3097997 of een andere update niet bestemd voor het .NET Framework 4.6, zelfs als deze updates zijn bedoeld voor het .NET Framework 4.5.1 en 4.5.2.

    OpmerkingDit is een niet-ondersteund scenario. Zie Microsoft Knowledge Base-artikel voor meer informatie over het bepalen van de juiste toepassing voor een update voor Microsoft .NET Framework. 3136092.
In dit scenario wordt een .NET Framework-toepassingen starten niet of werken niet goed.
Oplossing

Oplossing voor scenario 1

Klanten kunnen deze problemen oplossen door een upgrade naar de .NET Framework 4.6.1 van de volgende websites van Microsoft Download Center:

Klanten kunnen ook updates, 3098779 en 3097997 verwijderen als zij hun systemen hebt bijgewerkt naar de .NET Framework-4,6 of 2015 voor Visual Studio hebt geïnstalleerd vanaf een volledig bijgewerkte .NET 4.5.1 of 4.5.2 systeem met updates, 3098779 en 3097997 geïnstalleerd.

Klanten moeten vervolgens Windows Update opnieuw scannen en updates downloaden en installeren 3098785 en 3098000. Dit zijn de overeenkomstige Microsoft Security Bulletin MS15-118 updates voor het .NET Framework 4.6 op 8.1 voor Windows, Windows RT 8.1 of Windows Server 2012 R2. Deze actie wordt de niet-overeenkomende versie verholpen.

Oplossing voor scenario 2

Klanten die updates, 3098779 en 3097997 handmatig toepassen op systemen waarop de 4.6 van .NET Framework geïnstalleerd moet er rekening mee houden dat dit geen ondersteund scenario is. Deze updates zijn niet van toepassing op het .NET Framework 4.6.

Klanten die werken met het .NET Framework 4.6 moeten daarom, updates, 3098779 en 3097997 verwijderen. Klanten moeten vervolgens opnieuw scannen Windows Update en installeer alleen de updates die van toepassing op het .NET Framework 4.6. Deze actie wordt de niet-overeenkomende versie verholpen.

Ook zorg klanten die gebruik van de .NET is 4.5.1 of 4.5.2 maken ervoor dat er geen updates die van toepassing op andere .NET Framework-versie die op hun systeem zijn geïnstalleerd zijn. Bijvoorbeeld worden updates die bestemd zijn voor de 4.6 .NET Framework niet toegepast op systemen waarop de .NET is 4.5.1 of 4.5.2 geïnstalleerd. Bepalen voor meer informatie over het op de juiste toepassing van de updates voor .NET in Microsoft kader 4.6 en 4.6.1, Base-artikel seeMicrosoftKnowledge 3136092.
Status
Microsoft heeft bevestigd dat dit probleem kan optreden in de Microsoft-producten die worden vermeld in de sectie 'Van toepassing op'.

Van toepassing op

Dit artikel is van toepassing op het volgende:

  • .NET in Microsoft Framework 4.6 gebruikt in combinatie met:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • 4.5.2 gebruikt in combinatie met Microsoft .NET Framework:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • 4.5.1 gebruikt in combinatie met Microsoft .NET Framework:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1

Waarschuwing: dit artikel is automatisch vertaald

Eigenschappen

Artikel-id: 3118750 - Laatst bijgewerkt: 01/15/2016 08:36:00 - Revisie: 4.0

Microsoft .NET Framework 4.6, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.5.1

  • atdownload kbbug kbexpertiseinter kbfix kbsecbulletin kbsecurity kbsecvulnerability kbmt KB3118750 KbMtnl
Feedback